﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Themes;

namespace BackgroundInGroupBy
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            e.Record.IsExpanded = true;
        }

        private void ListView_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count > 0)
                ThemeManager.CurrentTheme = e.AddedItems[0].ToString();
        }
    }

    public class ColorManager
    {
        public string[] GetColors()
        {
            return new string[] 
          { 
              "BlanchedAlmond",
              "CadetBlue",
              "Coral",
              "DarkGreen",
              "DarkSlateGray",
              "DeepSkyBlue",
              "Fuchsia",
              "Honeydew",
              "Lavender",
              "YellowGreen",
              "Tan",
              "Sienna"
          };
        }
    }
}
